#!/bin/bash

token=""
if [ "$#" -eq "1" ]; then
	token="$1"
elif [ -v APITOKEN ]; then
	token="$APITOKEN"
else
	echo "expecting api token (APITOKEN env or argument)"
	exit 1;
fi

umask 277
echo "token=$token" > tictactoebot.conf


./tictactoebot
